# FATX360

FATX360 is a Python application with a graphical user interface (GUI) that allows users to easily rename files and folders to be compatible with the FATX file system. This tool is particularly useful for users working with Xbox systems or other platforms that use the FATX file system.

## Features

- Select a directory to rename files and folders
- Choose specific files or folders for renaming
- "Select All" functionality for easy batch selection
- Option to rename folders only without affecting their contents
- Rename items to be FATX compatible (42 character limit, restricted character set)
- Copy renamed items to a new directory, preserving the original files
- Progress bar to track the renaming process
- Error handling for various scenarios

## Installation

1. Ensure you have Python 3.x installed on your system. You can download it from [python.org](https://www.python.org/downloads/).

2. Clone this repository or download the `fatx360.py` file.

   ```
   https://github.com/midnightroachmedia/FATX360.git
   ```

3. No additional libraries are required as the application uses Python's standard libraries.

## Usage

1. Open a command prompt or terminal.
2. Navigate to the directory containing `fatx360.py`.
3. Run the command:

   ```
   python fatx360.py
   ```

4. The application window will appear, ready for use.

For detailed usage instructions, please refer to the [User Guide](USER_GUIDE.md).

## Quick Start

1. Click "Select Directory" to choose the folder containing files to rename.
2. Select files/folders in the list (use "Select All" for batch selection).
3. (Optional) Check "Rename folders only" to leave file names unchanged.
4. Click "Rename Selected" and choose a destination for the renamed items.
5. Monitor the progress bar and wait for the success message.

## Contributing

Contributions to FATX360 are welcome! Please feel free to submit a Pull Request.

## License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.

## Acknowledgments

- Thanks to all contributors who have helped to improve this tool.
- Special thanks to the Python community for providing excellent documentation and libraries.

## Contact

If you have any questions, feel free to open an issue or contact the repository owner.

---

Happy renaming!
